//
//  Photo.m
//  FunnyPics
//
//  Created by Nick Dowell on 11/04/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Photo.h"


@implementation Photo

@synthesize photoSource		= _source;
@synthesize size			= _size;
@synthesize index			= _index;
@synthesize caption			= _caption;
@synthesize urlString		= _urlString;

/**
 * Gets the URL of one of the differently sized versions of the photo.
 */
- (NSString*)URLForVersion:(TTPhotoVersion)version
{
	return _urlString;
}

- (BOOL)isEqual:(Photo *)photo
{
	return [_urlString isEqualToString:photo.urlString];
}

@end
